PDA

View Full Version : Knoppix 3.4 ct kernel update



jollyagp
03-09-2004, 09:52 PM
I made an hdd install from the 3.4 ct and everything works fine.
I installed it with 2.6.1 Kernel as described somewhere here in the forum.

After the installation i applied some patches from kano.
Everything worked fine again.

But when it comes to installing the newest nvidia drivers on kanos site i am stuck.

The scripts exits without installing the drivers and corrupts my XFree config.

Then i supposed that it might need the kernel sources.
When i tried to download the sources for my 2.6.1 i found that apt-get only offers me sources for 2.6.3.

So i tried to apply the Kernel update 2.6.3 for Kanotix but without success it seems cause uname -r still reports 2.6.1 .

How can i patch my kernel to 2.6.3?
Thx in advance
jollyagp

Malo
03-24-2004, 06:32 PM
Same problem here and when i tried to install a new kernel show me this:

I did apt-get install kernel-source-2.6.4
ln -s /usr/src/kernel-source.... linux (i tried linux-2.6.1 too)
and when i try to do make menuconfig show that:

root@boxer:/usr/src/kernel-source-2.6.4# make menuconfig
HOSTCC scripts/fixdep
En el fichero incluído de /usr/include/sys/socket.h:35,
de /usr/include/netinet/in.h:24,
de scripts/fixdep.c:107:
/usr/include/bits/socket.h:305:24: asm/socket.h: No existe el fichero o el directorio (file dont exist)
make[1]: *** [scripts/fixdep] Error 1
make: *** [scripts/fixdep] Error 2

Anybody got a "howto" to get nvidia drivers work in knoppix 3.4 whit kernel 2.6.1 or how to upgrade the kernel? Could post a link here please?.
Thnx.

Stephen
03-24-2004, 08:15 PM
root@boxer:/usr/src/kernel-source-2.6.4# make menuconfig
HOSTCC scripts/fixdep
En el fichero incluído de /usr/include/sys/socket.h:35,
de /usr/include/netinet/in.h:24,
de scripts/fixdep.c:107:
/usr/include/bits/socket.h:305:24: asm/socket.h: No existe el fichero o el directorio (file dont exist)
make[1]: *** [scripts/fixdep] Error 1
make: *** [scripts/fixdep] Error 2


I believe Dave tracked that down to a problem with the linux-kernel-headers so apt-get --reinstall install linux-kernel-headers to reinstall and hopefully get setup right this time.



Anybody got a "howto" to get nvidia drivers work in knoppix 3.4 whit kernel 2.6.1 or how to upgrade the kernel? Could post a link here please?.
Thnx.

You need to use the 5336 version of the Nvidia installer or go to http://www.minion.de and get the required patches for a 2.6 kernel for versions older than that.